ARMA
           ARMA Net           製品とサポート           通信販売           会社概要           求人情報       
ARMA 3.0

ARMA 3.0 マニュアル

プレインストール PC

個人・小規模サイト
向けサポート
(パッケージ付属)


よくいただくお問い
合わせについて


対応ハードウェア情報

法人向け各種サービス

OSA-2004-12
 
 
1 サマリ
 
 
対象システム
ARMA2.0,ARMA2.1,ARMA2.2
パッケージ
libxml/libxml2
概要
外部から任意コード実行の可能性
危険度
2
 
 
 
2 詳細
 
 libxml, libxml2 にバッファオーバーフロー脆弱性が発見されています。FTP もしくは HTTP で XML ファイルを取得しする際に利用する URL の解析ルーチンにバッファオーバーフロー脆弱性が発見されています。悪意をもって細工された URL を外部から与えられた場合に任意のコードを実行される可能性があります。
 詳細は以下の URL をご参照下さい。
 
「CAN-2004-0110」 Common Vulnerabilities and Exposures
 
 
 
 
3 対処方法
 
 ARMA 2.1 では libxml1_1.8.17-2woody1o1, libxml2_2.4.22-1o101で,ARMA 2.2 では libxml1_1.8.17-2woody1o1, libxml2_2.5.3-1o101でこの問題に対処しています。以下のコマンドでパッケージのアップデートを行って下さい。
 
 
# apt-get update
# apt-get install libxml1
# apt-get install libxml2
 

COPYRIGHT (C)2018, オモイカネ株式会社 (Omoikane Inc.)
E-mail: info@omoikane.co.jp